## yaws 2.0.2

=== www/code/Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# www/code/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/yaws
pkgincludedir = $(includedir)/yaws
pkglibdir = $(libdir)/yaws
pkglibexecdir = $(libexecdir)/yaws
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = www/code
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_compare_version.m4 \
	$(top_srcdir)/m4/colored-echo.m4 $(top_srcdir)/m4/erlang.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/klacke/yaws/ac-aux/missing aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
APPDEPS = 
AR = ar
AUTOCONF = ${SHELL} /home/klacke/yaws/ac-aux/missing autoconf
AUTOHEADER = ${SHELL} /home/klacke/yaws/ac-aux/missing autoheader
AUTOMAKE = ${SHELL} /home/klacke/yaws/ac-aux/missing automake-1.14
AWK = gawk
CADAVER = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Werror -Wall -O3 
CONFIG_STATUS_DEPENDENCIES = $(top_srcdir)/vsn.mk $(top_srcdir)/applications/yapp/vsn.mk
CPP = gcc -E
CPPFLAGS = 
CURL = curl
CYGPATH_W = echo
DEFAULT_CHARSET = undefined
DEFS = -DPACKAGE_NAME=\"yaws\" -DPACKAGE_TARNAME=\"yaws\" -DPACKAGE_VERSION=\"2.0.2\" -DPACKAGE_STRING=\"yaws\ 2.0.2\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DCPU_VENDOR_OS=\"x86_64-unknown-linux-gnu\" -DPACKAGE=\"yaws\" -DVERSION=\"2.0.2\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DHAVE_SECURITY_PAM_APPL_H=1 -DHAVE_LIBPAM=1
DEPDIR = .deps
DIALYZER = /usr/local/bin/dialyzer
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
DVILATEX = latex
DVIPS = dvips
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EPAM_CFLAGS = -I/usr/include/security
EPSTOPDF = epstopdf
ERL = /usr/local/bin/erl
ERLANG_ERTS_DIR = /usr/local/lib/erlang/erts-6.2
ERLANG_ERTS_VER = 6.2
ERLANG_INSTALL_LIB_DIR = ${prefix}/lib
ERLANG_INSTALL_LIB_DIR_yapp = ${ERLANG_INSTALL_LIB_DIR}/yapp-${YAPP_VSN}
ERLANG_INSTALL_LIB_DIR_yaws = ${ERLANG_INSTALL_LIB_DIR}/yaws-${YAWS_VSN}
ERLANG_LIB_DIR = /usr/local/lib/erlang/lib
ERLANG_LIB_DIR_compiler = /usr/local/lib/erlang/lib/compiler-5.0.2
ERLANG_LIB_DIR_crypto = /usr/local/lib/erlang/lib/crypto-3.4.1
ERLANG_LIB_DIR_erlsom = not found
ERLANG_LIB_DIR_erts = /usr/local/lib/erlang/lib/erts-6.2
ERLANG_LIB_DIR_eunit = /usr/local/lib/erlang/lib/eunit-2.2.8
ERLANG_LIB_DIR_inets = /usr/local/lib/erlang/lib/inets-5.10.3
ERLANG_LIB_DIR_kernel = /usr/local/lib/erlang/lib/kernel-3.0.3
ERLANG_LIB_DIR_mnesia = /usr/local/lib/erlang/lib/mnesia-4.12.3
ERLANG_LIB_DIR_public_key = /usr/local/lib/erlang/lib/public_key-0.22.1
ERLANG_LIB_DIR_sasl = /usr/local/lib/erlang/lib/sasl-2.4.1
ERLANG_LIB_DIR_ssl = /usr/local/lib/erlang/lib/ssl-5.3.6
ERLANG_LIB_DIR_stdlib = /usr/local/lib/erlang/lib/stdlib-2.2
ERLANG_LIB_DIR_xmerl = /usr/local/lib/erlang/lib/xmerl-1.3.7
ERLANG_LIB_DIR_xmlrpc = not found
ERLANG_LIB_VER_compiler = 5.0.2
ERLANG_LIB_VER_crypto = 3.4.1
ERLANG_LIB_VER_erlsom = not found
ERLANG_LIB_VER_erts = 6.2
ERLANG_LIB_VER_eunit = 2.2.8
ERLANG_LIB_VER_inets = 5.10.3
ERLANG_LIB_VER_kernel = 3.0.3
ERLANG_LIB_VER_mnesia = 4.12.3
ERLANG_LIB_VER_public_key = 0.22.1
ERLANG_LIB_VER_sasl = 2.4.1
ERLANG_LIB_VER_ssl = 5.3.6
ERLANG_LIB_VER_stdlib = 2.2
ERLANG_LIB_VER_xmerl = 1.3.7
ERLANG_LIB_VER_xmlrpc = not found
ERLANG_RELEASE = 17
ERLANG_ROOT_DIR = /usr/local/lib/erlang
ERLC = /usr/local/bin/erlc
ERLCFLAGS = 
ERL_LIBS = 
ESCRIPT = /usr/local/bin/escript
EXEEXT = 
EXTRAINCLUDE = 
FGREP = /bin/grep -F
GREP = /bin/grep
HAVE_BAD_UNICODE = false
HAVE_BAD_WILDCARD = false
HAVE_CRYPTO_HASH = true
HAVE_ERLANG_NOW = true
HAVE_ERLANG_SENDFILE = true
HAVE_INET_PARSE_STRICT_ADDRESS = true
HAVE_SENDFILE = true
HAVE_SSL_CLIENT_RENEGOTIATION = false
HAVE_SSL_HONOR_CIPHER_ORDER = true
HAVE_SSL_LOG_ALERT = true
INSTALL = /usr/bin/install -c
INSTALL_BUILDER = /home/klacke/installbuilder-5.4.14
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lpam 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/klacke/yaws/ac-aux/missing makeinfo
MAN = man
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = yaws
PACKAGE_BUGREPORT = 
PACKAGE_NAME = yaws
PACKAGE_STRING = yaws 2.0.2
PACKAGE_TARNAME = yaws
PACKAGE_URL = 
PACKAGE_VERSION = 2.0.2
PATH_SEPARATOR = :
PDFLATEX = pdflatex
PS2PDF = ps2pdf
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
TODOS = todos
UNIX2DOS = 
VERSION = 2.0.2
WERL = 
YAPP_VSN = 0.4.2
YAWS_VSN = 2.0.2
abs_builddir = /home/klacke/yaws/www/code
abs_srcdir = /home/klacke/yaws/www/code
abs_top_builddir = /home/klacke/yaws
abs_top_srcdir = /home/klacke/yaws
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
appsdir = $(localstatedir)/yaws
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
confdir = $(sysconfdir)/yaws
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/klacke/yaws/ac-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
logdir = $(localstatedir)/log/yaws
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/klacke/yaws/_inst
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wwwdir = $(localstatedir)/yaws/www
yappdir = $(libdir)/yapp
yawsdir = $(libdir)/yaws
MODULES = myappmod.erl
EXTRA_DIST = $(MODULES)
EBIN_DIR = ../../examples/ebin
EBIN_FILES = $(MODULES:%.erl=$(EBIN_DIR)/%.beam)
ERLC_FLAGS = $(ERLC_GENERIC_FLAGS)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign www/code/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign www/code/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \

=== www/shoppingcart/Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# www/shoppingcart/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/yaws
pkgincludedir = $(includedir)/yaws
pkglibdir = $(libdir)/yaws
pkglibexecdir = $(libexecdir)/yaws
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = www/shoppingcart
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_compare_version.m4 \
	$(top_srcdir)/m4/colored-echo.m4 $(top_srcdir)/m4/erlang.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/klacke/yaws/ac-aux/missing aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
APPDEPS = 
AR = ar
AUTOCONF = ${SHELL} /home/klacke/yaws/ac-aux/missing autoconf
AUTOHEADER = ${SHELL} /home/klacke/yaws/ac-aux/missing autoheader
AUTOMAKE = ${SHELL} /home/klacke/yaws/ac-aux/missing automake-1.14
AWK = gawk
CADAVER = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Werror -Wall -O3 
CONFIG_STATUS_DEPENDENCIES = $(top_srcdir)/vsn.mk $(top_srcdir)/applications/yapp/vsn.mk
CPP = gcc -E
CPPFLAGS = 
CURL = curl
CYGPATH_W = echo
DEFAULT_CHARSET = undefined
DEFS = -DPACKAGE_NAME=\"yaws\" -DPACKAGE_TARNAME=\"yaws\" -DPACKAGE_VERSION=\"2.0.2\" -DPACKAGE_STRING=\"yaws\ 2.0.2\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DCPU_VENDOR_OS=\"x86_64-unknown-linux-gnu\" -DPACKAGE=\"yaws\" -DVERSION=\"2.0.2\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DHAVE_SECURITY_PAM_APPL_H=1 -DHAVE_LIBPAM=1
DEPDIR = .deps
DIALYZER = /usr/local/bin/dialyzer
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
DVILATEX = latex
DVIPS = dvips
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EPAM_CFLAGS = -I/usr/include/security
EPSTOPDF = epstopdf
ERL = /usr/local/bin/erl
ERLANG_ERTS_DIR = /usr/local/lib/erlang/erts-6.2
ERLANG_ERTS_VER = 6.2
ERLANG_INSTALL_LIB_DIR = ${prefix}/lib
ERLANG_INSTALL_LIB_DIR_yapp = ${ERLANG_INSTALL_LIB_DIR}/yapp-${YAPP_VSN}
ERLANG_INSTALL_LIB_DIR_yaws = ${ERLANG_INSTALL_LIB_DIR}/yaws-${YAWS_VSN}
ERLANG_LIB_DIR = /usr/local/lib/erlang/lib
ERLANG_LIB_DIR_compiler = /usr/local/lib/erlang/lib/compiler-5.0.2
ERLANG_LIB_DIR_crypto = /usr/local/lib/erlang/lib/crypto-3.4.1
ERLANG_LIB_DIR_erlsom = not found
ERLANG_LIB_DIR_erts = /usr/local/lib/erlang/lib/erts-6.2
ERLANG_LIB_DIR_eunit = /usr/local/lib/erlang/lib/eunit-2.2.8
ERLANG_LIB_DIR_inets = /usr/local/lib/erlang/lib/inets-5.10.3
ERLANG_LIB_DIR_kernel = /usr/local/lib/erlang/lib/kernel-3.0.3
ERLANG_LIB_DIR_mnesia = /usr/local/lib/erlang/lib/mnesia-4.12.3
ERLANG_LIB_DIR_public_key = /usr/local/lib/erlang/lib/public_key-0.22.1
ERLANG_LIB_DIR_sasl = /usr/local/lib/erlang/lib/sasl-2.4.1
ERLANG_LIB_DIR_ssl = /usr/local/lib/erlang/lib/ssl-5.3.6
ERLANG_LIB_DIR_stdlib = /usr/local/lib/erlang/lib/stdlib-2.2
ERLANG_LIB_DIR_xmerl = /usr/local/lib/erlang/lib/xmerl-1.3.7
ERLANG_LIB_DIR_xmlrpc = not found
ERLANG_LIB_VER_compiler = 5.0.2
ERLANG_LIB_VER_crypto = 3.4.1
ERLANG_LIB_VER_erlsom = not found
ERLANG_LIB_VER_erts = 6.2
ERLANG_LIB_VER_eunit = 2.2.8
ERLANG_LIB_VER_inets = 5.10.3
ERLANG_LIB_VER_kernel = 3.0.3
ERLANG_LIB_VER_mnesia = 4.12.3
ERLANG_LIB_VER_public_key = 0.22.1
ERLANG_LIB_VER_sasl = 2.4.1
ERLANG_LIB_VER_ssl = 5.3.6
ERLANG_LIB_VER_stdlib = 2.2
ERLANG_LIB_VER_xmerl = 1.3.7
ERLANG_LIB_VER_xmlrpc = not found
ERLANG_RELEASE = 17
ERLANG_ROOT_DIR = /usr/local/lib/erlang
ERLC = /usr/local/bin/erlc
ERLCFLAGS = 
ERL_LIBS = 
ESCRIPT = /usr/local/bin/escript
EXEEXT = 
EXTRAINCLUDE = 
FGREP = /bin/grep -F
GREP = /bin/grep
HAVE_BAD_UNICODE = false
HAVE_BAD_WILDCARD = false
HAVE_CRYPTO_HASH = true
HAVE_ERLANG_NOW = true
HAVE_ERLANG_SENDFILE = true
HAVE_INET_PARSE_STRICT_ADDRESS = true
HAVE_SENDFILE = true
HAVE_SSL_CLIENT_RENEGOTIATION = false
HAVE_SSL_HONOR_CIPHER_ORDER = true
HAVE_SSL_LOG_ALERT = true
INSTALL = /usr/bin/install -c
INSTALL_BUILDER = /home/klacke/installbuilder-5.4.14
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lpam 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/klacke/yaws/ac-aux/missing makeinfo
MAN = man
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = yaws
PACKAGE_BUGREPORT = 
PACKAGE_NAME = yaws
PACKAGE_STRING = yaws 2.0.2
PACKAGE_TARNAME = yaws
PACKAGE_URL = 
PACKAGE_VERSION = 2.0.2
PATH_SEPARATOR = :
PDFLATEX = pdflatex
PS2PDF = ps2pdf
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
TODOS = todos
UNIX2DOS = 
VERSION = 2.0.2
WERL = 
YAPP_VSN = 0.4.2
YAWS_VSN = 2.0.2
abs_builddir = /home/klacke/yaws/www/shoppingcart
abs_srcdir = /home/klacke/yaws/www/shoppingcart
abs_top_builddir = /home/klacke/yaws
abs_top_srcdir = /home/klacke/yaws
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
appsdir = $(localstatedir)/yaws
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
confdir = $(sysconfdir)/yaws
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/klacke/yaws/ac-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
logdir = $(localstatedir)/log/yaws
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/klacke/yaws/_inst
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wwwdir = $(localstatedir)/yaws/www
yappdir = $(libdir)/yapp
yawsdir = $(libdir)/yaws
MODULES = shopcart.erl
EXTRA_DIST = $(MODULES)
EBIN_DIR = ../../examples/ebin
EBIN_FILES = $(MODULES:%.erl=$(EBIN_DIR)/%.beam)
ERLC_FLAGS = $(ERLC_GENERIC_FLAGS)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign www/shoppingcart/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign www/shoppingcart/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \

=== debian/changelog ===
yaws (2.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 20 Nov 2015 13:41:45 +0300

yaws (1.99-2) unstable; urgency=medium

  * Fixed the /usr/share/yaws-wiki symlink to directory conversion
    (closes: #804940).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 13 Nov 2015 11:33:25 +0300

yaws (1.99-1) unstable; urgency=medium

  * New upstream release.
  * Split out the yapp application into the separate erlang-yapp package to
    simplify its embedding into Yaws applications.
  * Simplified the get-orig-source target in debian/rules because the upstream
    no longer creates the yaws symlink at the upper level in the tarball.
  * Moved the Yaws applications web files to /usr/share/yaws-<application>/www,
    or to /var/lib/yaws-wiki/www.
  * Converted directory /usr/lib/yaws into a symlink since upstream now
    installs Yaws binaries into /usr/lib/yaws-<version> instead of
    /usr/lib/yaws.
  * Moved the directory for custom Yaws modules from /usr/lib/yaws/custom to
    /usr/local/lib/yaws-appmods.
  * Added missing copyrights to the debian/copyright file.
  * Overridden the lintian warning on a Javascript file without source
    because it isn't obfuscated or minified.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 11 Nov 2015 16:11:44 +0300

yaws (1.98-5) unstable; urgency=medium

  * Fixed FTBFS with Erlang 18 caused by deprecating erlang:now/0
    (closes: #790625).
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 05 Jul 2015 17:13:15 +0300

yaws (1.98-4) unstable; urgency=low

  * Switched to the well-known logrotate tool to rotate the YAWS log files
    from its internal rotator which rotates logs only based on their size.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 18 Aug 2014 08:41:21 +0400

yaws (1.98-3) unstable; urgency=low

  * Don't use su for switching to the yaws user in init.d script. Use
    start-stop-daemon instead. Also, use the default shell for the yaws
    system user instead of /bin/sh.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 12 May 2014 13:23:41 +0400

=== debian/control ===
Source: yaws
Section: httpd
Priority: optional
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 8.9.7), autotools-dev, libpam0g-dev,
 erlang-dev (>= 1:13.b.1-3), erlang-edoc, erlang-mnesia
Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended,
 texlive-fonts-recommended, texlive-font-utils, texlive-extra-utils, ghostscript
Standards-Version: 3.9.6
Homepage: http://yaws.hyber.org/
Vcs-Svn: svn://svn.debian.org//svn/pkg-erlang/yaws/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-erlang/yaws/trunk/

Package: yaws
Architecture: all
Provides: httpd, httpd-cgi
Depends: erlang-yaws (>= ${binary:Version}), adduser, ssl-cert, lsb-base (>= 3.0-6), ${misc:Depends}
Suggests: yaws-doc, yaws-chat, yaws-mail, yaws-wiki, yaws-yapp, erlang-yapp, logrotate
Description: High performance HTTP 1.1 webserver written in Erlang
 Yaws is a high performance HTTP 1.1 webserver written in Erlang. It is a 
 multithreaded webserver where one Erlang light weight process is used to
 handle each client. Two separate modes of operation are supported.
 .
 This package includes binaries and config to run Yaws in standalone mode
 where it works as a regular webserver daemon.

Package: erlang-yaws
Architecture: any
Depends: ${erlang-abi:Depends}, ${erlang:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: yaws, yaws-doc, zip, bzip2
Breaks: yaws (<< 1.99), yaws-chat (<< 1.99), yaws-mail (<< 1.99), yaws-wiki (<< 1.99), yaws-yapp (<< 1.99)
Replaces: yaws (<< 1.88-2)
Description: Erlang application which implements HTTP webserver
 Yaws is a high performance HTTP 1.1 webserver written in Erlang. It is a 
 multithreaded webserver where one Erlang light weight process is used to
 handle each client. Two separate modes of operation are supported.
 .
 This package includes Erlang Yaws application suitable to work in embedded
 mode where it runs as a webserver in another Erlang application.

Package: erlang-yapp
Architecture: any
Depends: ${erlang:Depends}, erlang-yaws (= ${binary:Version}), ${misc:Depends}
Suggests: yaws-yapp
Replaces: yaws-yapp (<< 1.99)
Description: Erlang application for deploying Yaws webserver applications
 Yaws-yapp (Yaws application handler) is a helper application.
 It takes care of adding, and removing, the applications into a running
 server. When anyone access the server with an URL that matches the path
 for an added application, the docroot will be temporarily switched
 to where the web pages for that application are located.
 .
 This package includes the Yapp Erlang module which can be used in Yaws
 embedded mode without separate server config.

Package: yaws-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: erlang-yaws, yaws
Replaces: yaws (<< 1.87)
Description: Documentation and examples for Yaws webserver
 Yaws is a high performance HTTP 1.1 webserver written in Erlang. It is a 
 multithreaded webserver where one Erlang light weight process is used to
 handle each client.
 .
 This package includes Yaws documentation and examples.

Package: yaws-chat
Section: web
Architecture: all
Depends: ${erlang:Depends}, yaws (>= ${binary:Version}), ${misc:Depends}
Description: Chat application for Yaws webserver
 Yaws-chat allows one to create a very simple web-based chatroom.

Package: yaws-mail
Section: web
Architecture: all
Depends: ${erlang:Depends}, yaws (>= ${binary:Version}), ${misc:Depends}
Description: Webmail application for Yaws webserver
 Yaws-mail is a small stateless webmail application. It requires
 SMTP and POP3 servers to operate and does not store email locally.

Package: yaws-wiki
Section: web
Architecture: all
Depends: ${erlang:Depends}, yaws (>= ${binary:Version}), ${misc:Depends}
Description: Wiki application for Yaws webserver
 Yaws-wiki is a small wiki application, written in Erlang for Yaws
 webserver.

Package: yaws-yapp
Section: web
Architecture: all
Depends: ${erlang:Depends}, yaws (>= ${binary:Version}), erlang-yapp (>= ${binary:Version}), ${misc:Depends}
Description: Provides an easy way to deploy applications for Yaws webserver
 Yaws-yapp (Yaws application handler) is a helper application.
 It takes care of adding, and removing, the applications into a running
 server. When anyone access the server with an URL that matches the path
 for an added application, the docroot will be temporarily switched
 to where the web pages for that application are located.
 .
 This package provides Yapp config file which is intended to use along
 with fully installed Yaws webserver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export HOME := $(CURDIR)/debian

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DESTDIR=$(CURDIR)/debian/yaws
DESTDIR1=$(CURDIR)/debian/erlang-yaws
TMPDIR=$(CURDIR)/debian/tmp

-include $(CURDIR)/vsn.mk

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	TYPE = debug
endif

%:
	dh $@ --with autotools_dev

override_dh_auto_clean:
	dh_testdir
	dh_testroot
	#
	# Clean up applications included into yaws distribution
	[ ! -f Makefile ] || \
	for appdir in applications/* ; do \
	    (cd $$appdir ; \
	     $(MAKE) clean || exit 1 ; \
	     $(MAKE) cleandocs || exit 1) \
	done
	#
	# Clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) conf_clean
	rm -f priv/charset.def
	#
	rm -f erl_crash.dump
	rm -f debian/yaws-*.postinst debian/yaws-*.postrm
	rm -f debian/erlang-yaws.maintscript

override_dh_auto_configure:
	dh_testdir
	#
	CFLAGS="$(CFLAGS)" \
	./configure --host=$(DEB_HOST_GNU_TYPE) \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr \
		    --mandir=/usr/share/man \
		    --infodir=/usr/share/info \
		    --sysconfdir=/etc \
		    --localstatedir=/var

override_dh_auto_build-arch:
	dh_testdir
	#
	# Compile the package.
	TYPE="$(TYPE)" $(MAKE) DLL_LIBS=-lc
	#
	# Compile the Yapp application
	cd applications/yapp ; TYPE="$(TYPE)" $(MAKE)

override_dh_auto_build-indep:
	dh_testdir
	#
	# Build applications included into yaws distribution
	for appdir in chat mail wiki ; do \
	    (cd applications/$$appdir ; \
	     TYPE="$(TYPE)" $(MAKE) || exit 1) \
	done
	#
	# Build documentation
	$(MAKE) docs

override_dh_auto_test:
	# Do nothing because the tests require downloading some tools from
	# the Internet.

override_dh_auto_install-arch:
	dh_testdir
	#
	# Install the package into debian/yaws.
	$(MAKE) install DESTDIR=$(TMPDIR)
	#
	# Install the Yapp application
	cd applications/yapp ; $(MAKE) install DESTDIR=$(TMPDIR)
	#
	# Fix permissions on examples
	chmod a-x $(TMPDIR)/var/yaws/www/testdir/index.html
	#
	# Remove unneeded .la files
	rm -vf $(TMPDIR)/usr/lib/yaws-*/priv/lib/*.la
	#
	# Relocate examples
	mv $(TMPDIR)/usr/lib/yaws-*/examples $(TMPDIR)/var/yaws/
	mv $(TMPDIR)/usr/lib/yapp-*/examples $(TMPDIR)/var/yaws/examples/yapp
	mv $(TMPDIR)/usr/lib/yapp-*/priv $(TMPDIR)/var/yaws/yapp-priv
	mv $(TMPDIR)/usr/lib/yapp-*/doc $(TMPDIR)/var/yaws/yapp-doc
	#
	sed -e "s/@YAWS_VSN@/$(YAWS_VSN)/g" \
	    debian/erlang-yaws.maintscript.in >debian/erlang-yaws.maintscript || exit 1
	#
	dh_install -a

override_dh_auto_install-indep:
	dh_testdir
	#
	# Install applications (and READMEs) included into yaws distribution
	# Application beams go to /usr/lib/yaws/$application/ebin
	# Other application files go to /usr/share/yaws-$application/docroot
	for app in chat mail wiki ; do \
	    (cd applications/$$app ; \
	     $(MAKE) install DESTDIR=$(TMPDIR) || exit 1) \
	done
	#
	# Fix permissions of application files
	find $(TMPDIR)/var/yaws -type f -exec chmod a-x \{\} \;
	#
	# Generate postinst and postrm scripts for applications
	for app in chat mail wiki yapp ; do \
	    sed -e "s/@APPLICATION@/$$app/g" \
	    	debian/yaws-application.postinst.in >debian/yaws-$$app.postinst || exit 1; \
	    sed -e "s/@APPLICATION@/$$app/g" \
	    	debian/yaws-application.postrm.in >debian/yaws-$$app.postrm || exit 1 ; \
	done
	#
	dh_install -i

override_dh_compress:
	dh_compress -X.erl -X.beam -X.yaws -X.pdf -X .ps -X .eps -X Makefile

override_dh_gencontrol:
	erlang-depends
	dh_gencontrol

v=2.0.2

get-orig-source:
	wget -O yaws_$(v).orig.tar.gz http://yaws.hyber.org/download/yaws-$(v).tar.gz

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build-arch \
	override_dh_auto_build-indep override_dh_auto_test override_dh_auto_install-arch \
	override_dh_auto_install-indep override_dh_compress override_dh_gencontrol \
	get-orig-source

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php yaws-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/yaws-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/yaws-(.*)\.tar\.gz debian uupdate

# Uncomment to use Roland's hack for sourceforge based projects - YMMV!
#http://people.debian.org/~lolando/sfdlr.php?project=yaws yaws-([\d.]*).tar.gz

http://yaws.hyber.org/download/yaws-(.*)\.tar\.gz
